#root {
  max-width: 1280px;
  margin: 0 auto;
  padding: 2rem;
 
}
html{
  background-color: #f7f8fd;
}


.main{
  /* border: 2px solid black; */
  height: 100%;
  display: flex;

}

.left-sidebar{
  /* border: 2px solid black; */
  height: 100%;
  width: 30%;
}

.logo {
  /* border: 2px solid black; */
  height: 7em;
  display: inline-block;
  width: 14em;
  /* padding: 10px 20px 2px;  */
  background-color: rgb(173, 31, 234);
  color: white;
  line-height: 3px;
  margin: 25px 0px;
  border-radius: 15px;
 
}

.filter-option{
  /* border: 2px solid black; */
  height: 8em;
  /* display: inline-block; */
  width: 14em;
  margin: 25px 0px;
  border-radius: 15px;
  background: white;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  
 
  
}
.filter-option button{
  margin: 5px 13px;
  color: blue;
  border: none;
}

 /* ===================roadmap====================================================================== */

 .roadmap-wrapper {
    display: flex;
    /* justify-content: center;
    align-items: center; */
    /* height: 100vh; */
    /* background-color: #f4f4f4; */
}

.roadmap-container {
    background: white;
    border-radius: 8px;
    padding: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    width: 250px;
}

.roadmap-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
}

.roadmap-header h1 {
    font-size: 24px;
    margin: 0;
}

.view-link {
    font-size: 14px;
    color: #4A90E2;
    text-decoration: none;
}

.view-link:hover {
    text-decoration: underline;
}

.roadmap-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

.roadmap-list li {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}

.dot {
    height: 12px;
    width: 12px;
    border-radius: 50%;
    display: inline-block;
}

.planned {
    background-color: #F2994A;
}

.in-progress {
    background-color: #BB6BD9;
}

.live {
    background-color: #56CCF2;
}

.status {
    flex: 1;
    margin-left: 10px;
    font-size: 16px;
    color: #4A4A4A;
}

.count {
    font-size: 18px;
    color: #4A4A4A;
}

.roadmap{
  /* border: 2px solid black;
  height: 8em;
  display: inline-block;
  width: 14em;
  /* margin: 25px 0px; */
  /* border-radius: 15px;
  background-color: #ffffff;  */
  /* display: flex; */
  /* justify-content: space-between;
  align-items: center; */
  width: fit-content;
  padding: 1rem;
  border-radius: 5px;
  background-color: #eee;
}

.roadmap-content{
  /* display: flex;
  border: 2px solid black; 
  height: 25%; */
  display: flex;
  flex-direction: row;
 
  padding: 0.5rem 1rem;
  border-radius: 5px;
}

.roadmap-title {
  font-weight: bold;
  margin-bottom: 0.5rem;
}

.roadmap-count {
  font-size: 1.5rem;
}
/* .roadmap-content h4, .roadmap-content a{
  border: 1px solid black;
} */
/* ======================================================================================== */

/* ===================================roadmap page========================================= */
.roadmap-page-container {
  max-width: 1200px; 
  margin: 0 auto;
  padding: 20px;
  display: flex;
  flex-direction: column;
  gap: 20px;
  background-color: #f4f4f4;
}

.roadmap-page-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #3F3F88;
  color: white;
  padding: 12px;
  border-radius: 8px;
}

.back-link {
  color: white;
  text-decoration: none;
  font-size: 16px;
}

.feedback-button {
  background-color: #BB6BD9;
  color: white;
  border: none;
  padding: 10px 20px;
  border-radius: 20px;
  cursor: pointer;
  font-size: 16px;
}

.feedback-button:hover {
  background-color: #9b51e0;
}

.roadmap-sections {
  display: flex;
  justify-content: space-between;
  gap: 20px;
}

.roadmap-section {
  flex: 1;
  background-color: white;
  border-radius: 8px;
  padding: 20px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.roadmap-section h2 {
  margin-top: 0;
  font-size: 20px;
  color: #333;
}

.roadmap-section p {
  color: #777;
  margin-bottom: 20px;
}

.card {
  background-color: #f9f9f9;
  border-radius: 8px;
  padding: 15px;
  margin-bottom: 20px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.card-header {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-bottom: 10px;
}

.status-dot {
  width: 10px;
  height: 10px;
  border-radius: 50%;
}

.planned-dot {
  background-color: #F2994A;
}

.in-progress-dot {
  background-color: #BB6BD9;
}

.live-dot {
  background-color: #2F80ED;
}

.card h3 {
  margin: 0;
  font-size: 18px;
}

.card p {
  color: #555;
}

.tags {
  margin-top: 10px;
  margin-bottom: 10px;
}

.tag {
  display: inline-block;
  padding: 5px 10px;
  border-radius: 12px;
  font-size: 12px;
  background-color: #E0E0E0;
  color: #333;
}

.feedback {
  display: flex;
  justify-content: space-between;
  color: #888;
  font-size: 14px;
}

/* ======================================================================================= */

.right-sidebar{
  /* border: 2px solid black; */
  height: 100%;
  width: 70%;
}

.navbar{
  border: 2px solid black;
  display: flex;
  height: 3em;
  justify-content: space-between;
}

.navbar .button{
  padding: 4px 2px;
}

.feedback-section{
  border: 2px solid black;
}

.feedbackCard{
  display: flex;
  border: 2px solid rgb(16, 16, 16);
  height:8em;
  margin: 16px 2px;
  border-radius: 30px;
  background-color: #ffffff;
  padding: 10px 15px ;
  justify-content: space-evenly;

}
.card-item{
  /* border: 2px solid black ; */
  flex: 1;
}
.card-mid{
  /* border: 2px solid black ; */
  flex: 3;

}

.main-FeedbackDetail-outer{
  display: flex;
  justify-content: center;
}

.main-FeedbackDetail{
  /* border: 2px solid black; */
  height: 100%;
  width: 80%;
  
}


.feedbackDetail-container{
  border: 2px solid black;
 

}

.my-feedback{
  border: 2px solid black;
  margin-top: 20px;
}

.comments-container{
  /* border: 2px solid black; */
  border-radius: 10px;
  margin-top: 20px;
  background-color: #ffffff;
}

.add-comment{
  border: 2px solid black;
  border-radius: 10px;
  margin-top: 20px;
  background-color: #ffffff;

}

.add-comment input{
  width:90%;
  height: 40px;
  margin-left: 3vw;
}

.add-comment-bottom{
  display: flex;
  justify-content: space-between;
  padding: 5px 15px 0px 5px;
}

.add-comment-bottom button {
  color: #ffffff;
 background-color: rgb(173, 31, 234);
 width: 90px;
}

/* ======================create feedback form =================== */


/* ================edit feedbackform======================= */

.edit-main{
  min-height:98vh ;
  min-width: 98vw;
  border: 2px solid black ;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: auto;
}

.edit-container{
  border: 2px solid black ;
  background-color: #ffffff;
  height: 100%;
  width: 35%;
  border-radius: 10px;
}

.edit-container h1{
  text-align: center;
  margin-bottom: 24px;
  color: rgb(4, 1, 24);
  font-size: 30px;
}
.edit-container form{
 padding-left: 30px;

}

.edit-container form .form-controls{
  width: 90%;
  height: 40px;
  border-radius: 4px;
}

.form-group{
  margin-top: 15px;
  margin-bottom: 15px;
}
/* .edit-container form{
  height: 100%;
  width: 100%;
} */
.form-group span{
  display: block;
  font-size: 16px;
}

.message{
  display: block;
  width: 90%;
  height: 90px;
}

.feedbackDetail-container-top{
  display: flex;
  justify-content: space-between;
}

.back-button{
    /* Reset default styles */
    border: none;
    padding: 0;
    margin: 0;
    background-color: transparent;
}

.back-button-road{
  /* Reset default styles */
  border: none;
  padding: 0;
  margin: 0;
  background-color: transparent;
  color: white;
}


/* ===================================comment section============================================ */
.comments-container {
  /* max-width: 800px; */
  margin: 0 auto;
  padding: 20px;
}

.comment {
  border-bottom: 1px solid #ccc;
  padding: 20px 0;
}
.user-info {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
}

.avatar {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  margin-right: 10px;
}

.user-details {
  display: flex;
  flex-direction: column;
}

.username {
  font-weight: bold;
}

.user-id {
  color: #888;
}

.comment-text {
  margin: 0;
  line-height: 1.5;
}

.comment-replies{

  margin: 10px 0px 10px 30px;
  border-left:1px solid #ccc;
  padding-left:20px;

}

.replyPost{
  /* border: 2px solid burlywood; */
}
.replyPost input{
  width: 60%;
  height: 45px;
  border: 1px solid rgb(70, 97, 230);
  background-color: rgba(70, 97, 230, 0.164);
}

.replyPost form button{
  color: #ffffff;
 background-color: rgb(173, 31, 234);;
}

/* .replyPost .buttonContainer{

} */

/* =====================add */
.add-container{
  border: 2px solid black ;
  background-color: #ffffff;
  height: 100%;
  width: 35%;
  border-radius: 10px;

}

.add-container h1{
  text-align: center;
  margin-bottom: 24px;
  color: rgb(4, 1, 24);
  font-size: 30px;
}

.add-container form{
  padding-left: 30px;
}

.add-container form .form-controls{
  width: 90%;
  height: 40px;
  border-radius: 4px;
}

/* .add-container form input{
  width: 90%;
  height: 40px;
  border-radius: 4px;

} */


.category-text{
  border: 1px solid black;
  border-radius: 8px;
  width: 25%
}
